# $Revision: 1.11 $, $Date: 2008/10/11 14:02:37 $
%define		_realname	service-discovery-applet
Summary:	An GNOME applet for service discovery via mdns
Summary(pl.UTF-8):	Aplet GNOME do wykrywanie usług poprzez mdns
Name:		gnome-applet-service-discovery
Version:	0.4.3
Release:	1
License:	GPL v2
Group:		X11/Applications
Source0:	http://0pointer.de/~sebest/%{_realname}-%{version}.tar.gz
# Source0-md5:	68e67e75d4e5223e75a656b61e76d6d4
URL:		http://avahi.org/
BuildRequires:	avahi-discover >= 0.5
BuildRequires:	gettext-autopoint
BuildRequires:	python-dbus
BuildRequires:	python-devel >= 1:2.4
BuildRequires:	python-gnome
BuildRequires:	rpmbuild(macros) >= 1.198
%pyrequires_eq	python-libs
Requires(post,preun):	GConf2
Requires:	avahi-discover >= 0.5
Requires:	python-gnome-desktop-applet
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This is a small GNOME applet making use of the zeroconf dns-sd
facility to listen for services announced via zeroconf protocol. The
applet allows to easily connect to that service and has a quite rich
services type filter.

%description -l pl.UTF-8
Ten mały aplet GNOME wykorzystuje technologię zeroconf dns-sd do
nasłuchiwania ogłaszanych usług w sieci przy pomocy protokołu
zeroconf. Aplet pozwala w łatwy sposób łączyć się z usługami i ma
całkiem bogaty zbiór filtrów na rodzaje usług.

%prep
%setup -q -n %{_realname}-%{version}

%build
%configure
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%find_lang %{_realname}

%clean
rm -rf $RPM_BUILD_ROOT

%post
%gconf_schema_install service-discovery-applet.schemas

%preun
%gconf_schema_uninstall service-discovery-applet.schemas

%files -f %{_realname}.lang
%defattr(644,root,root,755)
%doc AUTHORS README TODO
%attr(755,root,root) %{_bindir}/*
%dir %{_datadir}/service-discovery-applet
%{_datadir}/service-discovery-applet/icons
%{_datadir}/service-discovery-applet/interfaces
%{_datadir}/service-discovery-applet/plugins
%dir %{_datadir}/service-discovery-applet/tools
%attr(755,root,root) %{_datadir}/service-discovery-applet/tools/exec_wrapper
%{_libdir}/bonobo/servers/GNOME_ServiceDiscoveryApplet.server
%dir %{py_sitescriptdir}/sdapplet
%{py_sitescriptdir}/sdapplet/*.py[co]
%{_sysconfdir}/gconf/schemas/service-discovery-applet.schemas

%define	date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: gnome-applet-service-discovery.spec,v $
Revision 1.11  2008/10/11 14:02:37  wolvverine
- rel.1, STBR

Revision 1.10  2007/11/30 10:17:46  megabajt
- fixed typo
- added missing Rs

Revision 1.9  2007-09-06 20:47:42  qboosh
- sorted BRs, no mixing with Rs

Revision 1.8  2007/09/06 20:26:02  emes
- fixed attrs on exec_wrapper

Revision 1.7  2007/09/06 20:22:29  ankry
- tabs

Revision 1.6  2007/09/06 19:16:07  emes
- added BR gettext-autopoint

Revision 1.5  2007/04/10 19:11:34  rotom
- 0.4.3

Revision 1.4  2007/02/12 22:09:10  glen
- tabs in preamble

Revision 1.3  2007/02/12 01:06:44  baggins
- converted to UTF-8

Revision 1.2  2006/11/04 22:54:43  qboosh
- missing rcs tags, added doc, revised deps, pl cosmetics
